curl -X POST 'https://crypto-api.yativo.com/api/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'
{
"data": [
{
"_id": "cust_67d01994740754bbf304abcd",
"username": "alice_merchant",
"email": "alice@example.com",
"phone_number": "+1234567890",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-11T11:08:04.559Z",
"updatedAt": "2026-01-11T11:08:04.559Z"
},
{
"_id": "cust_67d2d2a5740754bbf308efgh",
"username": "bob_trader",
"email": "bob@example.com",
"phone_number": "",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-13T12:42:13.562Z",
"updatedAt": "2026-01-13T12:42:13.562Z"
}
],
"status": true
}
Retrieve a paginated list of all customers in your account
curl -X POST 'https://crypto-api.yativo.com/api/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'
{
"data": [
{
"_id": "cust_67d01994740754bbf304abcd",
"username": "alice_merchant",
"email": "alice@example.com",
"phone_number": "+1234567890",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-11T11:08:04.559Z",
"updatedAt": "2026-01-11T11:08:04.559Z"
},
{
"_id": "cust_67d2d2a5740754bbf308efgh",
"username": "bob_trader",
"email": "bob@example.com",
"phone_number": "",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-13T12:42:13.562Z",
"updatedAt": "2026-01-13T12:42:13.562Z"
}
],
"status": true
}
Bearer YOUR_ACCESS_TOKEN120, max: 100active, suspended, pendingResponse Type Definitions
interface Customer {
id: string;
email: string;
first_name: string;
last_name: string;
status: "active" | "suspended" | "pending";
kyc_status: "not_started" | "pending" | "approved" | "rejected";
created_at: string;
updated_at: string;
}
interface ListCustomersResponse {
status: "success";
data: {
customers: Customer[];
pagination: {
page: number;
limit: number;
total: number;
total_pages: number;
};
};
}
curl -X POST 'https://crypto-api.yativo.com/api/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'
{
"data": [
{
"_id": "cust_67d01994740754bbf304abcd",
"username": "alice_merchant",
"email": "alice@example.com",
"phone_number": "+1234567890",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-11T11:08:04.559Z",
"updatedAt": "2026-01-11T11:08:04.559Z"
},
{
"_id": "cust_67d2d2a5740754bbf308efgh",
"username": "bob_trader",
"email": "bob@example.com",
"phone_number": "",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"createdAt": "2026-01-13T12:42:13.562Z",
"updatedAt": "2026-01-13T12:42:13.562Z"
}
],
"status": true
}